%global srcname ezlib

%define  _disable_ld_no_undefined 1

Name:       erlang-%{srcname}
Version:    1.0.9
Release:    %mkrel 1

Group:      Development/Erlang

License:    ASL 2.0
Summary:    Native zlib driver for Erlang
URL:        https://github.com/processone/ezlib/
Source0:    https://github.com/processone/ezlib/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:   erlang-p1_zlib = %{version}-%{release}
Obsoletes:  erlang-p1_zlib <= 1.0.1-2

BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: pkgconfig(zlib)


%description
A native zlib driver for Erlang / Elixir, used by ejabberd.


%prep
%autosetup -n ezlib-%{version}


%build
%configure --enable-nif
# There is a pull request upstream for this -lz https://github.com/processone/ezlib/pull/1
LDFLAGS="$LDFLAGS -lz" %{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/ezlib_drv.so \
    $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc README.md
%{erlang_appdir}



%changelog
* Sun Dec 20 2020 neoclust <neoclust> 1.0.9-1.mga8
+ Revision: 1661912
- New version 1.0.9

* Sun Dec 20 2020 wally <wally> 1.0.8-1.mga8
+ Revision: 1661659
- new version 1.0.8

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1511428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 wally <wally> 1.0.4-2.mga7
+ Revision: 1294072
- rebuild for aarch64

* Thu Sep 20 2018 wally <wally> 1.0.4-1.mga7
+ Revision: 1288689
- new version 1.0.4 (sync with Fedora)

* Thu Nov 17 2016 neoclust <neoclust> 1.0.1-5.mga6
+ Revision: 1068020
- imported package erlang-ezlib

